Cocoon API: Class DefaultDCPProcessor

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.dcp
Class DefaultDCPProcessor

    java.lang.Object
      |
      +--org.apache.cocoon.dcp.DefaultDCPProcessor

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  ServletDCPProcessor

public abstract class DefaultDCPProcessor
extends java.lang.Object
implements Configurable

The convenience class that all DCP objects should extend.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:18 $
Author:
  Ricardo Rocha

Field Summary
`protected org.w3c.dom.Document` | `document`
`protected java.util.Dictionary` | `parameters`

Constructor Summary
`DefaultDCPProcessor()`

Method Summary
`protected org.w3c.dom.Attr` | `createAttribute(java.lang.String name)`
`protected org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)`
`protected org.w3c.dom.Comment` | `createComment(java.lang.String data)`
`protected org.w3c.dom.DocumentFragment` | `createDocumentFragment()`
`protected org.w3c.dom.Element` | `createElement(java.lang.String tagName)`
`protected org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)`
`protected org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`protected org.w3c.dom.Text` | `createTextNode(java.lang.String data)`
`void` | `init(Configurations configurations)` Initialize the class by passing its configurations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    protected org.w3c.dom.Document document

### parameters

    protected java.util.Dictionary parameters

Constructor Detail

### DefaultDCPProcessor

    public DefaultDCPProcessor()

Method Detail

### init

    public void init(Configurations configurations)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Specified by:
    `init` in interface `Configurable`

### createAttribute

    protected org.w3c.dom.Attr createAttribute(java.lang.String name)

### createCDATASection

    protected org.w3c.dom.CDATASection createCDATASection(java.lang.String data)

### createComment

    protected org.w3c.dom.Comment createComment(java.lang.String data)

### createDocumentFragment

    protected org.w3c.dom.DocumentFragment createDocumentFragment()

### createElement

    protected org.w3c.dom.Element createElement(java.lang.String tagName)

### createEntityReference

    protected org.w3c.dom.EntityReference createEntityReference(java.lang.String name)

### createProcessingInstruction

    protected org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                            java.lang.String data)

### createTextNode

    protected org.w3c.dom.Text createTextNode(java.lang.String data)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.